
export const menuData = [
    {
        optionName: "档案信息",
        iconClassName: "el-icon-files",
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '企业信息',
                routerName: "firmInfo"
            },
            {
                optionName: '牧场信息',
                routerName: "pastureInfo"
            },
            {
                optionName: '栋舍信息',
                routerName: "areaInfo"
            },
            {
                optionName: '员工信息',
                routerName: "workerInfo"
            }
        ]
    },
    {
        optionName: "繁殖管理",
        iconClassName: "el-icon-magic-stick",
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '种羊档案',
                routerName: "seedSheepFile"
            },
            {
                optionName: '商品羊档案',
                routerName: "commoditySheepFile"
            },
            {
                optionName: '采精记录',
                routerName: "collectSeedLog"
            },
            {
                optionName: '查情记录',
                routerName: "matingSuccLog"
            },
            {
                optionName: '配种记录',
                routerName: "matingLog"
            },
            {
                optionName: '妊检记录',
                routerName: "pregnancyTestLog"
            },
            {
                optionName: '分娩记录',
                routerName: "parturitionLog"
            },
            {
                optionName: '断奶记录',
                routerName: "weaningLog"
            },
            {
                optionName: '离场记录',
                routerName: "offFieldLog"
            },
            {
                optionName: '转舍记录',
                routerName: "shiftFieldLog"
            }
        ]
    },
    {
        optionName: "防疫管理",
        iconClassName: "el-icon-s-flag",
        disabled: false,
        childList: [
            {
                optionName: '免疫程序',
                routerName: "immuneProce"
            },
            {
                optionName: '免疫计划',
                routerName: "immunePlan"
            },
            {
                optionName: '免疫记录',
                routerName: "immuneLog"
            },
            {
                optionName: '疾病登记',
                routerName: "illnessLog"
            }
        ]
    },

    {
        optionName: "生产管理",
        iconClassName: "el-icon-first-aid-kit",
        disabled: false,
        childList: [
            {
                optionName: '批次管理',
                routerName: "batch"
            },
            {
                optionName: '生产预警',
                routerName: "productionWarn"
            },
            {
                optionName: '调拨转舍',
                routerName: "shiftField"
            },
            {
                optionName: '死淘管理',
                routerName: "dieWeedOut"
            },
            {
                optionName: '耳标管理',
                routerName: "earTag"
            },
            {
                optionName: '检测报告',
                routerName: "examiningReport"
            }
           
        ]
    },
    {
        optionName: "无害化管理",
        iconClassName: "el-icon-set-up",
        disabled: false,
        childList: [
            {
                optionName: '无害化确认',
                routerName: "harmlessConfirm"
            },
            {
                optionName: '智能提醒',
                routerName: "intelligentHint"
            }
        ]
    },
    {
        optionName: "物料管理",
        iconClassName: "el-icon-news",
        disabled: false,
        childList: [
            {
                optionName: '基础信息',
                routerName: "basicsInfo"
            },
            {
                optionName: '物料入库',
                routerName: "materialInStore"
            },
            {
                optionName: '物料出库',
                routerName: "materialOutStore"
            },
            {
                optionName: '库存盘点',
                routerName: "storeList"
            }
        ]
    },
    {
        optionName: "育种管理",
        iconClassName: "el-icon-bank-card",
        disabled: false,
        childList: [
            {
                optionName: '等级评定',
                routerName: "gradeAssess"
            }
        ]
    },
    {
        optionName: "设备管理",
        iconClassName: "el-icon-setting",
        disabled: false,
        childList: [
            {
                optionName: '环境检测',
                routerName: "environmentMonitoring"
            },
            {
                optionName: '视频监控',
                routerName: "video"
            },
            {
                optionName: '设备故障',
                routerName: "deviceFault"
            }
        ]
    },
    {
        optionName: "销售管理",
        iconClassName: "el-icon-sell",
        disabled: false,
        childList: [
            {
                optionName: '销售记录',
                routerName: "sellLog"
            }
        ]
    },
    {
        optionName: "统计分析",
        iconClassName: "el-icon-monitor",
        disabled: false,
        childList: [
            {
                optionName: '存栏统计',
                routerName: "existSstatistic"
            },
            {
                optionName: '生产数据',
                routerName: "productData"
            }
        ]
    }
]

// export default {menuData}




/* 菜单配置 描述 */
const menuData描述 = [
    // 有子菜单 并且字菜单分组的
    {
        oneMenuName: "导航一", // 一级菜单名
        iconClassName: "aaa", // element-ui图标名
        childList: [ // 分组的
            {
                groupName: '组名一',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            },
            {
                groupName: '组名二',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            }
        ],
    },
    // 有子菜单 字菜单不分组的
    {
        oneMenuName: "导航二",
        iconClassName: "el-icon-menu",
        disabled: false, // 是否禁用
        childList: [ // 不分组的
            {
                optionName: '选项1',
                routerName: "home"
            },
            {}
        ]
    },
    // 无子菜单的
    {
        oneMenuName: "导航三",
        iconClassName: "el-icon-document",
        routerName: "home",
        disabled: false
    },

    "导航四"
]


